<?php include('session.php'); ?>
<?php include('public/menubar.php'); ?>
<style>
div.ex1 {
    margin-bottom: 8px;
}
</style>

<?php 
	if (isset($_GET['id'])) {
		$ID = $_GET['id'];
	} else {
		$ID = "";
	}
			
	$sql_query    = "SELECT * FROM tbl_gallery WHERE id = $ID";
  	$wallpaper_result = mysqli_query($connect, $sql_query);
  	$data   = mysqli_fetch_assoc($wallpaper_result);
			
?>

<?php
  $setting_qry    = "SELECT * FROM tbl_settings WHERE id = '1'";
  $setting_result = mysqli_query($connect, $setting_qry);
  $settings_row   = mysqli_fetch_assoc($setting_result);

  $onesignal_app_id = $settings_row['onesignal_app_id']; 
  $onesignal_rest_api_key = $settings_row['onesignal_rest_api_key'];

  define("ONESIGNAL_APP_ID", $onesignal_app_id);
  define("ONESIGNAL_REST_KEY", $onesignal_rest_api_key);

  $cat_qry = "SELECT * FROM tbl_fcm_template ORDER BY message";
  $cat_result = mysqli_query($connect, $cat_qry); 
 

  if (isset($_POST['submit'])) {

        $title = $_POST["title"];
        $message = $_POST["message"];
        $post_id = $_POST['post_id'];
        $link = $_POST['link'];
        $unique_id = rand(1000, 9999);

        if ($data['type'] == 'url') {
          $big_image = $data['image_url'];
        } else {
            $actual_link = (isset($_SERVER['HTTPS']) ? 'https' : 'http').'://'.$_SERVER['SERVER_NAME'].dirname($_SERVER['REQUEST_URI']);
            $big_image = $actual_link.'/upload/'.$data['image'];
            //$big_image = 'http://10.0.2.2/material_wallpaper/upload/'.$data['image'];
        }

        $content = array("en" =>  $message);

        $fields = array(
          'app_id' => ONESIGNAL_APP_ID,
          'included_segments' => array('All'),                                            
          'data' => array(
            "foo" => "bar",
            "link" => $link,
            "post_id" => $post_id,
            "unique_id" => $unique_id
          ),
          'headings'=> array("en" => $title),
          'contents' => $content,
          'big_picture' => $big_image         
        );

        $fields = json_encode($fields);
        print("\nJSON sent:\n");
        print($fields);

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, "https://onesignal.com/api/v1/notifications");
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8',
                                                   'Authorization: Basic '.ONESIGNAL_REST_KEY));
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        curl_setopt($ch, CURLOPT_HEADER, FALSE);
        curl_setopt($ch, CURLOPT_POST, TRUE);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);

        $response = curl_exec($ch);
        curl_close($ch);        
        
        $_SESSION['msg'] = "Congratulations, push notification sent...";
        header("Location:manage-wallpaper.php");
        exit; 

  }
  
?>

	<section class="content">

        <ol class="breadcrumb">
            <li><a href="dashboard.php">Dashboard</a></li>
            <li><a href="manage-wallpaper.php">Manage Wallpaper</a></li>
            <li class="active">Send Wallpaper Notification</a></li>
        </ol>

        <div class="container-fluid">

            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                	<form method="post" id="form_validation" enctype="multipart/form-data">
	                	<div class="card corner-radius">
	                        <div class="header">
	                            <h2>SEND NOTIFICATION</h2>
	                        </div>
	                        <div class="body">

	                        	<div class="row clearfix">

	                        		<input type="hidden" name="post_id" id="post_id" value="<?php echo $data['id']; ?>" required>
                                    <input type="hidden" name="link" id="link" value="" />

	                        		<div class="form-group col-sm-12">
                                        <div class="font-12">Title</div>
                                        <div class="form-line">
                                            <input type="text" class="form-control" name="title" id="title" placeholder="Title" value="<?php echo $app_name; ?>" required/>
                                        </div>
                                    </div>

                                    <div class="form-group col-sm-12">
                                        <div class="font-12">Message</div>
                                        <div class="form-line">
                                            <input type="text" class="form-control" name="message" id="message" placeholder="Message" value="<?php echo $data['image_name']; ?>" required/>
                                        </div>
                                    </div>

			                       	<div class="col-sm-6">
			                       		<div class="font-12 ex1">Image</div>
                                        <div class="form-group">
                                        	<?php if ($data['type'] == 'url') { ?>
                                        		<input type="file" class="dropify-image" data-max-file-size="5M" data-allowed-file-extensions="jpg jpeg png gif" data-default-file="<?php echo $data['image_url'];?>" data-show-remove="false" disabled/>
                                        	<?php } else { ?>
                                            	<input type="file" class="dropify-image" data-max-file-size="5M" data-allowed-file-extensions="jpg jpeg png gif" data-default-file="upload/<?php echo $data['image']; ?>" data-show-remove="false" disabled/>
                                        	<?php } ?>
                                        </div>
                                    </div>

                                    <div class="col-sm-12">
                                		<button class="button button-rounded waves-effect waves-float pull-right" type="submit" name="submit">SEND NOW</button>
                            		</div>
										
		                       	</div>
		                    </div>
		                </div>
                	</form>
                </div>
            </div>
        </div>

    </section>

<?php include('public/footer.php'); ?>