<?php include('session.php'); ?>
<?php include('public/menubar.php'); ?>

<?php
  $setting_qry    = "SELECT * FROM tbl_settings WHERE id = '1'";
  $setting_result = mysqli_query($connect, $setting_qry);
  $settings_row   = mysqli_fetch_assoc($setting_result);

  $onesignal_app_id = $settings_row['onesignal_app_id']; 
  $onesignal_rest_api_key = $settings_row['onesignal_rest_api_key'];

  define("ONESIGNAL_APP_ID", $onesignal_app_id);
  define("ONESIGNAL_REST_KEY", $onesignal_rest_api_key);

  $cat_qry = "SELECT * FROM tbl_fcm_template ORDER BY message";
  $cat_result = mysqli_query($connect, $cat_qry); 
 

  if (isset($_POST['submit'])) {

        $title = $_POST["title"];
        $message = $_POST["message"];
        $post_id = $_POST['post_id'];
        $link = $_POST['link'];
        $unique_id = rand(1000, 9999);
        $big_image = $_POST['image_url'];

        $content = array("en" =>  $message);

        $fields = array(
          'app_id' => ONESIGNAL_APP_ID,
          'included_segments' => array('All'),                                            
          'data' => array(
            "foo" => "bar",
            "link" => $link,
            "post_id" => $post_id,
            "unique_id" => $unique_id
          ),
          'headings'=> array("en" => $title),
          'contents' => $content,
          'big_picture' => $big_image         
        );

        $fields = json_encode($fields);
        print("\nJSON sent:\n");
        print($fields);

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, "https://onesignal.com/api/v1/notifications");
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8',
                                                   'Authorization: Basic '.ONESIGNAL_REST_KEY));
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        curl_setopt($ch, CURLOPT_HEADER, FALSE);
        curl_setopt($ch, CURLOPT_POST, TRUE);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);

        $response = curl_exec($ch);
        curl_close($ch);        
        
        $_SESSION['msg'] = "Congratulations, push notification sent...";
        header("Location:push-notification.php");
        exit; 

  }
  
?>

	<section class="content">

        <ol class="breadcrumb">
            <li><a href="dashboard.php">Dashboard</a></li>
            <li class="active">Send Notification</a></li>
        </ol>

        <div class="container-fluid">

            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                	<form id="form_validation" method="post" enctype="multipart/form-data">
	                	<div class="card corner-radius">
	                        <div class="header">
	                            <h2>SEND NOTIFICATION</h2>                            
	                        </div>
	                        <div class="body">

                            <?php if(isset($_SESSION['msg'])) { ?>
                              <div class='alert alert-info alert-dismissible corner-radius' role='alert'>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span>&nbsp;&nbsp;</button>
                                <?php echo $_SESSION['msg']; ?>
                              </div>
                            <?php unset($_SESSION['msg']); } ?> 

	                        	<div class="row clearfix">

                              <input type="hidden" name="post_id" id="post_id" value="0" />

			                        <div class="form-group form-float col-sm-12">
			                            <div class="form-line">
			                                <input type="text" class="form-control" name="title" id="title" required>
			                                <label class="form-label">Title</label>
			                            </div>
			                       	</div>

			                       	<div class="form-group form-float col-sm-12">
			                            <div class="form-line">
			                                <input type="text" class="form-control" name="message" id="message" required>
			                                <label class="form-label">Message</label>
			                            </div>
			                       	</div>

                              <div class="form-group form-float col-sm-12">
                                  <div class="form-line">
                                      <input type="text" class="form-control" name="image_url" id="image_url" >
                                      <label class="form-label">Image Url (Optional)</label>
                                  </div>
                              </div>

                                    <div class="form-group form-float col-sm-12">
			                            <div class="form-line">
			                                <input type="text" class="form-control" name="link" id="link" >
			                                <label class="form-label">Open Link (Optional)</label>
			                            </div>
			                       	</div>

                                    <div class="col-sm-12">
                                		<button class="button button-rounded waves-effect waves-float pull-right" type="submit" name="submit">SEND NOW</button>
                            		</div>
										
		                       	</div>
		                    </div>
		                </div>
                	</form>
                </div>
            </div>
        </div>

    </section>

<?php include('public/footer.php'); ?>